#
# spec file for package aspell (Version 0.33.7.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  dialog ed gpp libgpp pspell pspell-devel tetex xf86
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib dialog ed gcc gdbm gettext gpp libgpp libtool libz pam perl pspell pspell-devel rpm te_ams te_latex tetex xdevel xf86 xshared

Name:         aspell
License:      LGPL
Group:        Productivity/Text/Spell
Provides:     spell
Requires:     aspell-en
Autoreqprov:  on
Version:      0.33.7.1
Release:      312
%define       short_version %(echo %{version} | sed 's/^.//')
Summary:      A spelling checker
URL:          http://aspell.sourceforge.net/
Source0:      %{name}-%{short_version}.tar.bz2
Source1:      SuSEconf.tar.bz2
Patch0:       aspell-.33-fix2.diff
Patch1:       %{name}-%{short_version}.patch
Patch2:       %{name}-%{short_version}-am.patch
Patch3:       %{name}-%{short_version}-41297.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Aspell is a spelling checker designed to eventually replace Ispell.
It also has support for checking (La)TeX and Html files, and run time
support for other non-English languages.

%package devel
Requires:     aspell
Summary:      A spelling checker
Group:        Development/Libraries/C and C++

%description devel
Aspell is a spelling checker designed to eventually replace Ispell.
It also has support for checking (La)TeX and Html files, and run time
support for other non-English languages.

%package en
Requires:     aspell
Summary:      A spelling checker
Group:        Productivity/Text/Spell

%description en
Aspell is a spelling checker designed to eventually replace Ispell.
It also has support for checking (La)TeX and Html files, and run time
support for other non-English languages.

%prep
%setup -n aspell-%{short_version} -b 1
%patch0
%patch1
%patch2
%patch3

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
rm -f missing # Get newest from automake
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
	    --libdir=%{_libdir} \
	    --enable-dict-dir=/usr/lib/aspell \
            --enable-static \
            --infodir=%{_infodir} \
            --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/share/%{name}/spell $RPM_BUILD_ROOT/usr/bin/
#
# documentation
cp -pr $RPM_BUILD_ROOT/usr/doc/aspell .
rm -rf aspell/man-text
#
# configuration
cp -r ../usr $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO aspell/*
%dir /usr/lib/aspell/
%{_libdir}/lib*.so.*
#
/usr/bin/aspell
/usr/bin/spell
/usr/bin/run-with-aspell
/usr/bin/word-list-compress
#
%dir /usr/share/aspell/
/usr/share/aspell/*.dat
/usr/share/aspell/*.map
/usr/share/aspell/ispell
/usr/share/aspell/standard.kbd
#
%dir /usr/share/pspell/

%files devel
%defattr(-,root,root)
/usr/include/aspell
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so

%files en
%defattr(-,root,root)
/usr/lib/aspell/*
/usr/share/aspell/*.config
/usr/share/pspell/*
#
/usr/bin/en-spell
/usr/bin/am-spell
/usr/bin/am-med-spell
/usr/bin/br-spell
/usr/bin/br-med-spell
/usr/bin/ca-spell
/usr/bin/ca-med-spell

%changelog -n aspell
* Wed Jul 07 2004 - ltinkl@suse.cz
- fix buffer overflow (#41297)
* Thu Jan 10 2002 - pmladek@suse.cz
- used macro %%{_libdir} to fix for lib64
* Fri Dec 14 2001 - pmladek@suse.cz
- updated to version .33.7.1:
  * Minor manual fixes
  * compile fix for gcc 3.0 and Solaris
- added the patch aspell-.33-fix2.diff from sourceforge
- removed obsolete axp patch
- fixed file list
* Thu Oct 18 2001 - pmladek@suse.cz
- moved spell to /usr/bin (default path)
- added spell to Provides
- added aspell-en to Requires because of spell
* Thu Oct 04 2001 - schwab@suse.de
- Fix for automake 1.5.
- Avoid macro in Version tag.
* Mon Aug 27 2001 - pmladek@suse.cz
- fixed to compile on axp:
  * fixed declaration of friend classes
* Fri Aug 17 2001 - pmladek@suse.cz
- fixed file list
- added ed and dialog to neededforbuild through tetex
* Thu Aug 16 2001 - pmladek@suse.cz
- updated to version 0.33.7
- fixed documentation
* Tue Jun 26 2001 - schwab@suse.de
- Remove -I$(includedir).
* Mon Jun 11 2001 - ro@suse.de
- libtoolize to build
* Wed May 30 2001 - pmladek@suse.cz
- package created
- added start script and configurations for each spelling and jargon
